{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function admin_user, msg, send_event, post_event\r\ndeclare subroutine forward_event\r\n$insert listbox_config_equ\r\n$insert logical\r\n$insert quote_sigs_equ\r\n$insert msg_equates\r\n\r\nif admin_user( @user4 ) then\r\n   * OK THEY ARE AN ADMINISTRATOR\r\n   if get_property( @window, '@NoRead' ) then\r\n       Void = set_property( @window, '@NoRead', 0 )\r\n   end else\r\n       * no qbf active do the read\r\n       * if it is active the read already took place\r\n       forward_event()\r\n   end\r\nend else\r\n    ProdMgr = xlate( 'CONFIG', 'QUOTE_SIGS', ProdMgr$, 'X' )\r\n    if ( @user4 = ProdMgr ) OR ( @USER4 = 'PAUL_W' ) OR ( @user4 = 'DARYL_H' ) or ( @user4 = 'PETER_Z' ) then\r\n        * IT IS THE MFG MGR - ON READ NEED TO CHECK TO SEE IF \r\n        * THE RECORD IS CHECKED FOR MANUF_CHECK OTHERWISE DISALLOW\r\n        ID = .item->text\r\n        LBRec = xlate( 'LISTBOX_CONFIG', ID, '', 'X' )\r\n        if ( LBRec <> '' ) and ( LBRec<listbox_config_mfg_change$> = 1 ) then\r\n\t\t   if get_property( @window, '@NoRead' ) then\r\n\t\t       Void = set_property( @window, '@NoRead', 0 )\r\n\t\t   end else\r\n\t\t       * no qbf active do the read\r\n\t\t       * if it is active the read already took place\r\n\t\t       forward_event()\r\n\t\t   end\r\n        end else\r\n            Void = send_event( CtrlEntId, 'CLEAR', False$, True$ )\t\t\t        \r\n\t\t\tMessage = 'You do not have the proper security to view/modify ' :quote(ID):'.'\r\n\t\t\tMessage<micon$> = 'H'\r\n\t\t\tVoid = msg( '', Message )\r\n        end\r\n    end else\r\n        * SHOULD NEVER GET HERE CAUSE CREATE CODE WILL CLOSE THE WINDOW\r\n\t\tVoid = send_event( @window, 'CLOSE' )\r\n\tend\r\nend\r\nRETURN 0"
        }
    }
}